Bug 44446 (mab3.6) - LibreOffice 3.6 most annoying bugs
Summary: LibreOffice 3.6 most annoying bugs
Status: CLOSED FIXED
Alias: mab3.6
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium critical
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 33281 34548 34984 35785 36876 39066 40421 40539 42134 42144 42899 43030 43105 43641 43765 44664 45019 45233 45355 45600 46060 46278 46553 46716 47838 48039 48056 48243 48333 48360 48368 48377 48569 48946 49277 49291 49340 49806 49808 50137 50221 50284 50344 50386 50399 50438 50679 50783 50875 50911 50964 51023 51040 51115 51143 51179 51231 51252 51253 51278 51324 51326 51368 51507 51547 51555 51582 51620 51659 51685 51772 51832 51859 51943 52022 52078 52152 52159 52205 52240 52340 52393 52399 52447 52615 52639 52640 52998 52999 53006 53012 53030 53070 53089 53252 53325 53341 53365 53399 53474 53482 53557 53588 53640 53673 53839 53924 54018 54259 54264 54275 54498 54552 54621 54695 54719 54733 54748 54827 54859 54898 55043 55059 55345 55367 55369 55379 55633 55710 55711 55814 55842 55939 56205 56278 56316 56325 56742 56960 57176 57203 57311 57661 57738 58278 58283 58480 58577 58819 58893 60549 61186 61903 62729 63254 63647 65082
Blocks:
  Show dependency treegraph
 
Reported: 2012-01-04 02:32 UTC by Petr Mladek
Modified: 2015-10-18 02:39 UTC (History)
31 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Mladek 2012-01-04 02:32:20 UTC
This is the Meta issue to track most annoying bugs for the release of
LibreOffice 3.6.x releases. It helps developers to concentrate on bugs that are important for users. Also it helps users to be aware of potential problems.

If anyone wants to raise an Bug for the release, please add the Bug ID as
dependent Bug here to the Meta Bug in field "Depends on". Additionally please
leave a comment here why you think that the bug should be privileged.

See also http://wiki.documentfoundation.org/Release_Criteria
and http://wiki.documentfoundation.org/ReleasePlan
Comment 1 Rainer Bielefeld Retired 2012-04-08 02:11:41 UTC
Add "Bug 48368 - CRASH closing IDE"
Comment 2 Cor Nouws 2012-04-15 03:43:48 UTC
Add 
  Bug 48377 [EDITING] Indicator when dragging a row has changed
and 
  Bug 48333 Path changed to <home> (as defined in the users options) with File > Save As, File>Template>Edit, ...
Comment 3 Petr Mladek 2012-04-26 06:30:04 UTC
Add bug 48946: Current master build can't find JRE on Windows.
Comment 4 Rainer Bielefeld Retired 2012-04-29 23:19:51 UTC
Add "Bug 49291 - CRASH at menu Tools - Macros"
Comment 5 Cor Nouws 2012-05-01 07:37:35 UTC
add Bug 49340 - CRASH closing window Edit > Changes > Accept or Reject with ESC
Comment 6 Rainer Bielefeld Retired 2012-05-13 05:52:30 UTC
Add "Bug 49808 - FILEOPEN MSO2007 .pptx background missing or wrong color", what makes LibO more or less unusable fro MSO2007.pptx
Comment 7 Rainer Bielefeld Retired 2012-05-17 00:20:37 UTC
Add "Bug 50035 - CONFIGURATION: During initialization of Extensions several CRASHes until first launch will be successful"
Comment 8 Korrawit Pruegsanusak 2012-05-19 07:22:00 UTC
CC'ing dev list as it seems to be missing
Comment 9 Korrawit Pruegsanusak 2012-05-19 07:29:47 UTC
Adding:
* bug 49806 as it is a pptx import regression in windows
* bug 48243 as it is a regression - sdext/ extensions not work in windows
Comment 10 Rainer Bielefeld Retired 2012-05-22 22:24:29 UTC
Add "Bug 50221 - FILESAVE particular .xls (MSO97) will CRASH". Currently only reproducible with 1 document, but might be serious.
Comment 11 Rainer Bielefeld Retired 2012-05-25 02:43:37 UTC
Add "Bug 50344 - Basic Macro will not run because of missing Java", it seems that Macro execution is completely broken
Comment 12 Korrawit Pruegsanusak 2012-05-30 04:10:56 UTC
Adding bug 50137, LibO close after creating user profile. A recent regression on Windows.
Comment 13 Rainer Bielefeld Retired 2012-06-04 07:21:56 UTC
Add "Bug 50679 - EDITING Copying cell(s) with conditional CRASH when paste" - but Markus is already involved, no panic ;-)
Comment 14 Petr Mladek 2012-06-06 05:00:58 UTC
Add bug 50783: Can't create database or access table in Base. It makes Base almost unusable.
Comment 15 Rainer Bielefeld Retired 2012-06-09 04:17:12 UTC
Add "Bug 50910 - Impossible to access particular spreadsheet based database table"
Comment 16 Rainer Bielefeld Retired 2012-06-09 04:25:06 UTC
Add "Bug 50911 - FILEOPEN impossible for any existing.ods"
Comment 17 Tim Hardeck 2012-06-13 08:37:13 UTC
Add Bug 51040 - Calc crashes if zoom to "Page Width" is used under "Page Preview"
Comment 18 Timur 2012-06-18 07:31:40 UTC
Can you please explain the relation between this bug and Bug 37361 - LibreOffice 3.5 most annoying bugs? 
Should unresolved bugs from Bug 37361 at some point (which?) be added here?
Comment 19 Rainer Bielefeld Retired 2012-06-18 08:25:44 UTC
@Timur:
This is no place for discussions. If you have a question concerning proceeding ask on <libreoffice-qa@lists.freedesktop.org>!
Short answer here: This is for MAB what can't be fixed in 3.5, but please shift NO bug between these tracking Bugs. Anything else in Mailing list!
Comment 20 fabien.michel 2012-06-20 09:08:06 UTC
Add #40907 : concurrent access to AFP shared files impossible - total lock on file
Comment 21 Rainer Bielefeld Retired 2012-06-20 22:02:29 UTC
Add "Bug 51231 - UI: Slide thumbnail overlay "start presentation, disable slide, copy slide" position depends on slides pane scroll slider position and mouse way", makes slide pane more or less unusable.
Comment 22 Rainer Bielefeld Retired 2012-06-21 00:10:23 UTC
Add "Bug 51278 - Opening Report fails with Error Message", limits usability of Database very much.
Comment 23 Rainer Bielefeld Retired 2012-06-22 01:56:22 UTC
Add "Bug 51326 - CRASH when FILESAVE particular document with CHART"
Comment 24 Rainer Bielefeld Retired 2012-06-23 04:59:50 UTC
Add "Bug 34467 - FORMATTING Fit to Frame for text boxes is broken" due 2 duplicates
Comment 25 Rainer Bielefeld Retired 2012-06-23 23:17:44 UTC
Add "Bug 51368 - EDITING: CRASH when Merge Cells with "move contents" and first of merged Cells is involved in calculation"
Comment 26 fabien.michel 2012-06-25 08:04:56 UTC
Bug 40907 : the bug is very annoying for corporate use on mac network
Comment 27 Roman Eisele 2012-06-25 23:41:31 UTC
(In reply to comment #26)
> Bug 40907 : the bug is very annoying for corporate use on mac network

I agree completely. However, bug 40907 is already included in our "LibreOffice 3.5 most annoying bugs" list (bug 37361), and this is sufficient and adaequate. At the moment, the present (3.6) bugs list should contain only bugs which are *new* in LibreOffice 3.6. If bug 40907 will not be resolved during the 3.5 maintenance phase, we will move it, just like all remaining (open) 3.5 bugs, to this (3.6) bug list, so there really is no need to include a bug in both lists.

(No offence -- this is just an attempt to explain our current practice for anybody who does not know it yet!)
Comment 28 Björn Michaelsen 2012-06-26 13:53:29 UTC
Adding 51324 as it is:
a) a crasher
b) although it is a heisenbug, we have a decent reproduction scenario
c) it disturbs all forms of automated testing
Comment 29 Korrawit Pruegsanusak 2012-06-26 23:14:31 UTC
Adding bug 51179 - cannot save as ppt. Because it's a regression, and I think we can't live with this bug.
Comment 30 Lionel Elie Mamane 2012-06-27 22:31:45 UTC
Bug 51239: very slow base / jdbc / embedded HSQLDB
Comment 31 Rainer Bielefeld Retired 2012-06-28 07:16:25 UTC
Add "Bug 51507 - FILEOPEN 3.5 document: conditional formatting of type "Formula is" not recognized correctly, lost after saved", serious problem affecting many users.
Comment 32 Jean-Baptiste Faure 2012-06-29 01:37:16 UTC
Add bug 51547 : make Presenter screen unusable.
Comment 33 Andras Timar 2012-06-29 04:58:46 UTC
Add bug 51143: crash if online update not installed, that may hinder corporate deployments.
Comment 34 Rainer Bielefeld Retired 2012-06-29 14:09:51 UTC
Add: "Bug 51555 - FORMATTING Not possible to add Conditional formatting"; basic function, affecting many users
Comment 35 Sean Carlos 2012-06-29 23:36:24 UTC
Add <a href="https://bugs.freedesktop.org/show_bug.cgi?id=51554">Bug 51554</a> - linking to external slides in Impress, which can lead to data loss.
Comment 36 Rainer Bielefeld Retired 2012-06-30 02:13:11 UTC
Ass "Bug 51582 - EDITING: BACKSPACE in cell with hyphenation will CRASH", crash in plausible scenario.
Comment 37 Michael Meeks 2012-07-03 04:20:28 UTC
add bug#51685 - startup component registration / profile compatibility issue.
Comment 38 Rainer Bielefeld Retired 2012-07-05 22:34:34 UTC
Add "Bug 45355 - CRASH if characters in text of BENGALI, TIBETAN, MALAYALAM, MARATHI, NEPALI, ORIYA, TAMIL, TELUGU, KHMER", what reappeared from 3.4
Comment 39 Roman Eisele 2012-07-10 14:15:12 UTC
Add "Bug 51943 - text color setting is broken". A wonderful regression which would make all users (and especially our friends at Microsoft and AOO) laugh about LibreOffice -- so this needs to be fixed before 3.6 goes final.

At the moment only documented for MacOS X; could someone else please test on Linux and Windows? But even if this bug occurs only on MacOS X, it is very important to fix it, just because it is so simple and ridiculous.
Comment 40 Lionel Elie Mamane 2012-07-11 12:04:53 UTC
bug 51976: Base embedded HSQLDB horribly slow
Comment 41 Michael Meeks 2012-07-13 13:21:46 UTC
move 51554 back to 3.5
Comment 42 Roman Eisele 2012-07-15 09:03:23 UTC
Add bug 52028 - "Writer 3.6 creates and applies empty automatic styles everywhere, leading to needless file complexity and size".

I don't know why nobody tries to confirm (or disprove) this bug, maybe my explanation is just too lengthy ;-), but if this bug is reproducible (even if it is just partially reproducible), this is an important regression which needs to get fixed soon.
Comment 43 Jean-Baptiste Faure 2012-07-16 08:26:55 UTC
Added bug 51859, regression in LO 3.6 : in Calc comments are not displayed in the Navigator.
Comment 44 Michael Meeks 2012-07-16 13:18:40 UTC
add bug#52152 broken display switching regression.
Comment 45 Michael Meeks 2012-07-18 12:49:19 UTC
add bug#52205 apparent CSV import regression.
Comment 46 Michael Meeks 2012-07-19 13:11:09 UTC
add bug#51252 - can't start on Windows - missing VS2010 run-time (?)
add bug#51772 - general I/O error loading RTF file, apparently a regression
Comment 47 Rainer Bielefeld Retired 2012-07-21 09:32:11 UTC
Add "Bug 49441 - FILEOPEN for multiple documents fails from new File Dialog": Very visible and very annoying for "power users"
Comment 48 Rainer Bielefeld Retired 2012-07-21 13:43:55 UTC
Add "Bug 52340 - EDITING: CRASH when Copy+Paste row with conditional formatting to other sheet and back to inserted row"; Crash with often used operation.
Comment 49 Petr Mladek 2012-07-23 10:54:58 UTC
Add 51659: Letter Wizard leaves LO in a strange semi-crashed state.
Comment 50 Petr Mladek 2012-07-23 12:34:10 UTC
(In reply to comment #48)
> Add "Bug 52340 - EDITING: CRASH when Copy+Paste row with conditional formatting
> to other sheet and back to inserted row"; Crash with often used operation.

Really added :-)
Comment 51 Rainer Bielefeld Retired 2012-07-24 06:02:44 UTC
Add "Bug 52399 - EDITING: Report-Builder does not show any properties". Not a blocker, but really annoying for someone who uses Base intensively
Comment 52 Jean-Baptiste Faure 2012-07-24 10:16:19 UTC
nominate bug 52433 : memory leak, crash under XP.
Comment 53 Rainer Bielefeld Retired 2012-07-24 16:05:19 UTC
Add "Bug 52447 - FILEOPEN particular .xls: EDITING PIVOTTABLE will CRASH": Regression Crash
Comment 54 Roman Eisele 2012-07-25 06:40:51 UTC
Bug 34467 - "FORMATTING Fit to Frame for text boxes is broken" removed here and added to "LibreOffice 3.5 most annoying bugs" (bug 37361) instead, because this bug goes back to LibreOffice 3.3.0.
Comment 55 Roman Eisele 2012-07-25 06:48:55 UTC
Bug 52433 -- "writer memory eater file leading to crash (images related)" -- is alreay reproducible in LibreOffice 3.5.x and also listed on the "LibreOffice 3.5 most annoying bugs" list (bug 37361). Therefore removed it from the present list, which is about 3.6; a bug should be included only in one of our "most annoying bugs" lists, that is to say, in the best fitting one.
Comment 56 Rainer Bielefeld Retired 2012-07-25 17:25:17 UTC
Add "Bug 52393 - FILEOPEN 3.5.x spreadsheet with wrong row height": Makes CALC  nearby completely unusable
Comment 57 Rainer Bielefeld Retired 2012-07-27 05:17:34 UTC
Add "Bug 51832 - EDITING: CRASH in special case when 'Edit > Changes > Accept or reject > Reject'"
Comment 58 ape 2012-07-28 03:28:33 UTC
Add Bug 52610 - FILESAVE [DOCX] File.docx, created LibO Writer, can't be opened in other programs (https://bugs.freedesktop.org/show_bug.cgi?id=52610)
Comment 59 ape 2012-07-28 06:32:30 UTC
Add Bug 52612 - FILESAVE [DOCX] Loss of footnotes's text when exporting to DOCX-files (https://bugs.freedesktop.org/show_bug.cgi?id=52612)
Comment 60 vitriol 2012-07-30 08:29:47 UTC
Nominating Bug 51620 - Toolbars aspect not consistent, depends on docking place.
OK, it's only cosmetic, but it gives a very bad impression to users.
Comment 61 Lionel Elie Mamane 2012-07-30 11:03:32 UTC
Adding bug 52615; component database; the ADO driver is inactive. This is especially annoying since that's how we "automagically" connect to MS Access databases -> a non-expert user cannot connect to an MS Access database (connecting through ODBC works, but this takes expert setup, while connecting through ADO is setup automatically by LibreOffice).
Comment 62 Roman Eisele 2012-07-31 09:27:13 UTC
(In reply to comment #58)
> Add Bug 52610 - FILESAVE [DOCX] File.docx, created LibO Writer, can't be opened
> in other programs (https://bugs.freedesktop.org/show_bug.cgi?id=52610)

(In reply to comment #59)
> Add Bug 52612 - FILESAVE [DOCX] Loss of footnotes's text when exporting to
> DOCX-files (https://bugs.freedesktop.org/show_bug.cgi?id=52612)

Both bugs have been nominated, but not acutally added to the "Depends on" list, and this is good so -- because none of the two bugs is new in LibO 3.6.x, and for now only bugs new in 3.6.x should be added to the present list. So, if someone still considers one or both of these bugs as "most annoying", he/she should please add it to our "LibO 3.5 most annoying bugs" list, but not here. Thanks!
Comment 63 Korrawit Pruegsanusak 2012-07-31 11:43:45 UTC
Nominating bug 52998 and bug 52999: Saving file as XLS/XLSX lost comments. These are regressions in 3.6 version, and IMHO we need public caution for these bugs if we release 3.6.0 with them. Thanks.
Comment 64 Rainer Bielefeld Retired 2012-07-31 16:14:31 UTC
Add "Bug 53012 - FILEOPEN .csv will CRASH if "fixed width" is preselected", might affect many users.
Comment 65 Roman Eisele 2012-08-01 07:38:56 UTC
(In reply to comment #63)
> Nominating bug 52998 and bug 52999: Saving file as XLS/XLSX lost comments.
> These are regressions in 3.6 version, and IMHO we need public caution for these
> bugs if we release 3.6.0 with them. Thanks.

IMHO good nominations (regressions with data loss), therefore actually added.
Comment 66 Roman Eisele 2012-08-03 12:58:28 UTC
Bug 53006 - "Autocorrection TWo INitial CApitals does not work because of bundled extensions problem" added by Rainer Bielefeld.
Comment 67 Roman Eisele 2012-08-05 10:13:26 UTC
Added Bug 52639 - "ReportBuilder: Creating a new report destroys .odb" (reproducible according to comment no. 10 there; urgent regresssion).
Comment 68 Winfried Donkers 2012-08-06 11:27:39 UTC
Added bug 52022 ("My macro's" and imported macro libraries are lost after update from 3.5.5) as this will give a lot of extra work when upgrading a company from 3.5 to 3.6
Comment 69 Julien Nabet 2012-08-06 15:22:29 UTC
Added bug 30571 ("Some items in vertical toolbar unusable")
It's a very old bug and this one must be quite annoying for those who prefer vertical toolbars.
devs: any hint where to begin to chase this one ?
Comment 70 Don't use this account, use tml@iki.fi 2012-08-07 05:00:50 UTC
"must be quite annoying for those"? So you don't find it annoying yourself, and haven't heard explicitly from anybody finding it very annoying? I am not sure if it is a good idea to start guessing here. Surely one could say that *all* bugs are annoying for somebody if they bothered to report a bug? If a bug in some non-default user interface configuration behaviour is very old, surely people have learned to live with it by now, and/or not even bother trying to use that configuration? Just shows once more that too any options is bad.
Comment 71 Julien Nabet 2012-08-07 06:59:52 UTC
Ok so I remove 30571
Comment 72 Rainer Bielefeld Retired 2012-08-08 15:26:17 UTC
Add "Bug 53252 - UI: CRASH when edit LibO File Dialog Path Pane"
Comment 73 Roman Eisele 2012-08-09 14:19:02 UTC
Added bug 52078 - "shlxthdl_x64.dll/shlxthdl.dll causes Windows Explorer to CRASH 
repeatedly".

This bug is especially annoying, because it causes *repeated* Windows Explorer crashes -- under certain circumstances, you can get into a nice crash loop which can get stopped only by complicated actions (see e.g. comment no. 15 in that bug report and the description in the dupliacte bug 52276).
Comment 74 Rainer Bielefeld Retired 2012-08-09 14:22:46 UTC
Add: "Bug 43489 - [Task] Incorrect behavior using existing User Profile for upgrade" Due to results ESC call 2012-08-09
Comment 75 Boostland 2012-08-10 00:38:31 UTC
Please add this long standing bug
Bug 40421 - PRINTING shapes with transparent(?) Bitmap background loses bezier curves
Comment 76 Petr Mladek 2012-08-10 09:47:51 UTC
(In reply to comment #75)
> Please add this long standing bug
> Bug 40421 - PRINTING shapes with transparent(?) Bitmap background loses bezier
> curves

This bug is already listed as 3.5 MAB => we need not mention it here at these stage.
Comment 77 Jean-Baptiste Faure 2012-08-10 21:01:03 UTC
Nominate bug 53089 : Numbers from external URL are always interpreted as text
It is a regression from LO 3.5 that make Calc unusable to analyze linked external data.
Comment 78 ape 2012-08-11 04:29:39 UTC
Nominate bug 53113 (DOCX filter loses shape containing text) and bug 53175 (Error reading “Content (TOC)” from a DOCX).
These bugs are not regression but they make unusable re-import OOXML text documents (DOCX, ISO) by Writer. As result we need to use Microsoft Office for this purpose.
Comment 79 Ivan Timofeev (retired) 2012-08-15 14:57:10 UTC
(In reply to comment #78)
> Nominate bug 53113 (DOCX filter loses shape containing text) and bug 53175
> (Error reading “Content (TOC)” from a DOCX).

You added them to 3.5 MABs, no need to add these bugs here.
Comment 80 ape 2012-08-16 08:34:35 UTC
Bug 46716 (Some formulas are lost by "DOCX" import filter) reopened as a blocker: 
- regression;
- LibreOffice is frozen now.
Comment 81 Sean Carlos 2012-08-17 07:25:37 UTC
added bug 53325 as it appears to be a regression related to calc CSV import improvements in 3.6 series
Comment 82 Mikeyy - L10n HR 2012-08-19 19:54:11 UTC
Added bug 52240 since it's more then annoying. If this is intentional "feature" from LO team, I'm not upgrading any of my 300 users from 3.5.x to 3.6. Also, you can find my comment in connected bug: https://bugs.freedesktop.org/show_bug.cgi?id=52288#c4
Comment 83 Winfried Donkers 2012-08-21 08:00:01 UTC
added 53325 regression problem: layout of created label/mail-merge documents broken.
Comment 84 Winfried Donkers 2012-08-21 08:01:12 UTC
(In reply to comment #83)
> added 53325 regression problem: layout of created label/mail-merge documents
> broken.

for 53325 read 53673...
Comment 85 Stephan Hennig 2012-08-21 11:39:23 UTC
Add fdo#53399, word count inconsistent and wrong with non-breaking space

Rationale:

1. Since LibO 3.6, live word count statistics are prominently shown in the status line.  Showing wrong numbers on the simplest documents makes for a very poor user experience.

2. Educational users (students etc.) might have to obey hard limits on the number of words in documents they write.  LibreOffice's wrong numbers might get trustful users into inconvenient situations.
Comment 86 Stephan Hennig 2012-08-21 11:51:34 UTC
(In reply to comment #85)
> Add fdo#53399, word count inconsistent and wrong with non-breaking space

That is bug 53399.
Comment 87 Roman Eisele 2012-08-21 13:39:59 UTC
(In reply to comment #85)
> 2. Educational users (students etc.) might have to obey hard limits on the
> number of words in documents they write.  LibreOffice's wrong numbers might get
> trustful users into inconvenient situations.

I ought to support this. At the first glance, correct or incorrect word count seems to be a minor issue. But in the academic (and probably also in the journalistic?!) world word count is an extremely important entity, sometimes of vital importance ("Yes, your essay was very very good, but it was three words too long, so you can only get a C grade ..."). So, bug 53399 is really important.
Comment 88 Roman Eisele 2012-08-21 13:47:15 UTC
Supplement: bfoman has added bug 49102 -- "Writer: Incorrect numbering when cells are merged in the table", still waiting for confirmation. This is a LibO 3.5.x bug which went wrong in LibO 3.6.x (maybe it would be better if there were two separate bug reports, one for the 3.5.x problem and one for the additional 3.6.x regression).
Comment 89 Sebastian@SSpaeth.de 2012-08-21 14:14:39 UTC
Adding bug #51550. DATALOSS of embedded OLE objects when saving as .docx, ie. charts, spreadsheets,...
Comment 90 Sebastian@SSpaeth.de 2012-08-21 14:15:43 UTC
Arrg, depending on bug #51550, not blocking it. Sorry
Comment 91 tim 2012-08-22 13:21:20 UTC
Can't use Pivot Tables at all since the results are icorrect, so 3.6 is unusable. https://bugs.freedesktop.org/show_bug.cgi?id=53640
Comment 92 Roman Eisele 2012-08-22 14:10:00 UTC
(In reply to comment #88)
> Supplement: bfoman has added bug 49102 -- "Writer: Incorrect numbering when
> cells are merged in the table", still waiting for confirmation. This is a LibO
> 3.5.x bug which went wrong in LibO 3.6.x ...

Obviously the weather is too hot in these days, it has totally evaporated my knowledge of English grammar; sorry! Please read:

  This is a LibO 3.5. bug which _went_ _worse_ in LibO 3.6.x ...

And bug 49102 is confirmed now, of course.
Comment 93 Rainer Bielefeld Retired 2012-08-25 05:59:56 UTC
Add: "Bug 54018 - EDITING: CRASH sorting sheet with Comments"
Comment 94 Roman Eisele 2012-08-25 07:26:46 UTC
Added bug 54023 -- CRASH on launch when loading local libiconv.2.dylib ("liblangtag.0.dylib requires version 8.0.0 or later, but libiconv.2.dylib provides version 7.0")

I can’t confirm this bug at the moment (download problems), but if it is reproducible (and there is little doubt that it will be), this is a blocker, because it makes testing the master build impossible.

Does somebody know which developer knows best about liblangtag, and therefore should be CC’ed about this bug?
Comment 95 Roman Eisele 2012-08-25 07:42:50 UTC
(In reply to comment #94)
> Added bug 54023 -- CRASH on launch when loading local libiconv.2.dylib
> ("liblangtag.0.dylib requires version 8.0.0 or later, but libiconv.2.dylib
> provides version 7.0")

Oh no -- sorry -- how stupid by me! From the first bugs on this list, I am still used to the expectation that also bugs from the newest master builds should be added to this list. But now that 3.6 is released, the master is 3.7alpha0, and therefore bugs in the master builds like bug 54023 should _not_ be added anymore to this list ...

Remove bug 54023 again. Sorry again!
Comment 96 B.J. Herbison 2012-08-27 00:05:10 UTC
Adding bug 53839 as a dependency. With 3.6 I can't edit a spreadsheet I was able to edit with 3.5--there are crashes when inserting a row and other operations.
Comment 97 Vossman 2012-08-30 12:46:05 UTC
I would like to nominate the nasty Bug 51023. It is already a 3.5 most annoying bug, but should be a 3.6 most annoying bug:

Bug 51023 EDITING: Drag-and-drop slide always moves slide to first position, leading to data corruption and sometimes CRASH
Comment 98 Roman Eisele 2012-08-30 13:12:31 UTC
(In reply to comment #97)
> I would like to nominate the nasty Bug 51023. It is already a 3.5 most annoying
> bug, but should be a 3.6 most annoying bug:

Sorry, but you don’t need to add that bug to the this list if the bug is already a “LibreOffice 3.5 most annoying bugs”. As long as LibreOffice 3.5 is maintained actively, only bugs new in LibreOffice 3.6 should be added to this (3.6) list; but all bugs which have been inherited from previous versions (3.3, 3.4, 3.5) should be added only to the “LibreOffice 3.5 most annoying bugs” list -- see

  https://wiki.documentfoundation.org/Most_Annoying_Bugs

Entering a bug into both lists does not help fixing it, it just makes it more difficult to keep track of the most annoying bugs.

Thank you very much for your understanding!
Comment 99 Thorsten Glaser 2012-08-30 14:46:50 UTC
As already mentioned in 53341, adding it because it makes the dpkg status database invalid, which other Debian utilities (rightfully) complain about, and the fix is likely somewhat trivial (though potentially not uninvasive).
Comment 100 Lionel Elie Mamane 2012-08-31 04:30:49 UTC
Add "Bug 53872 - CRASH - opening database report" - Regression
Comment 101 Lionel Elie Mamane 2012-08-31 16:23:16 UTC
bug 53557, base crasher on any calculated field
Comment 102 Lekow 2012-09-01 17:39:02 UTC
bug 48741 – container issue for Page styles/formatting header and footer
These bugs cause wrong import of documents with simplest formatting and seems to be easy to fix.
Comment 103 V.K. 2012-09-02 16:05:34 UTC
Add bug 40594 – Charts embedded in docx are completely absent. It is critical bug for many people.
Comment 104 Horst 2012-09-02 16:50:59 UTC
 Bug 45893 CHART printing directly is  amissing feature which is included in Excel and in Lotus 123 for around 20 years. The workaround to export the chart to PDF and then print from there is working but a total mess and waste of time to get it right ( changing page properties, changing chart window and alot trial and error).
Comment 105 Roman Eisele 2012-09-03 08:17:11 UTC
(In reply to comment #104)
>  Bug 45893 CHART printing directly is  amissing feature which is included in
> Excel and in Lotus 123 for around 20 years. The workaround to export the chart
> to PDF and then print from there is working but a total mess and waste of time
> to get it right ( changing page properties, changing chart window and alot
> trial and error).

Sorry, but this report is already on the "LibreOffice 3.5 most annoying bugs" list (bug 37361), therefore it should not be added here -- see
  http://wiki.documentfoundation.org/Most_Annoying_Bugs
Comment 106 Roman Eisele 2012-09-03 08:21:42 UTC
(In reply to comment #103)
> Add bug 40594 – Charts embedded in docx are completely absent. It is critical
> bug for many people.

A good nomination! However, this bug is not new in LibO 3.6.x, therefore I have moved it to our "LibreOffice 3.5 most annyoing bugs" list (bug 37361), where it belongs -- please see http://wiki.documentfoundation.org/Most_Annoying_Bugs
Comment 107 Jean-Baptiste Faure 2012-09-04 19:58:50 UTC
Added bug 53588 : explorer extension causes very annoying freeze on MS-Windows version.
Comment 108 V.K. 2012-09-05 00:14:26 UTC
Added bug 54398 - DOC files created in LO lose drawings after field update in MS Word 2007. 
This bug causes a lot problems in common work with MS Office users, because all drawings are deleted from such .doc files.
Comment 109 Timur 2012-09-05 08:19:26 UTC
I added Bug 54259 - FILESAVE: When saving in MSWord doc format, some table cells unmerged so data not shown properly. It seems that this started in 3.6. We are affected also on our memo, so it's highly visible.
Comment 110 fabien.michel 2012-09-06 10:10:40 UTC
Bug 46271 : Scrollbar unusable on large documents on  Mac OS.
Comment 111 Rainer Bielefeld Retired 2012-09-09 18:09:35 UTC
Add "Bug 54695 - 3.6.2.0+ FILEOPEN shows all charts anchored to page moved at the top left corner of the sheet", destroys document view. But I doubt that that is critical.
Comment 112 Jean-Baptiste Faure 2012-09-10 11:54:43 UTC
Added fdo#54719 : crash in LO 3.6.1.2 and LO 3.6.2.0+ when deleting a row in a spreadsheet with conditional formatting
Comment 113 Rainer Bielefeld Retired 2012-09-10 15:08:38 UTC
Add "54733 - EDITING: CRASH when deleting cell content (of sheet with conditional formatting?)"
Comment 114 Rainer Bielefeld Retired 2012-09-12 12:46:44 UTC
Add "Bug 54621 - EDITING: CRASH in .ods documents with lots of (conditional) formatting", we urgently need Markus' arising fix in 3.6.2
Comment 115 Joel Madero 2012-09-13 00:27:50 UTC
Adding 48569 - crash when saving odt as docx under certain circumstances. Document and bt provided.
Comment 116 Mas 2012-09-13 06:07:18 UTC
54827 - FILEOPEN: File open from NTFS Filesystem- crashes Write -version 3.6 ,3..6.1
Comment 117 Fridrich Strba 2012-09-13 11:08:02 UTC
Really, really, really annoying bug!
https://bugs.freedesktop.org/show_bug.cgi?id=54859
Comment 118 Joel Madero 2012-09-13 15:32:57 UTC
Nominated 54498
https://bugs.freedesktop.org/show_bug.cgi?id=54498

Crash upon deleting a particular row results in data loss, plus...just really annoying
Comment 119 Mihkel Tõnnov 2012-09-14 08:23:32 UTC
Added back bug 54498, which was probably accidentally removed by its original nominator.
Comment 120 Michel Rudelle 2012-09-15 10:44:10 UTC
Add 54621
Calc is unusable with conditional formats (this concerns numerous files and users)
Still present in version 3.6.2.1
Comment 121 Rainer Bielefeld Retired 2012-09-18 06:27:29 UTC
Add "Bug 55043 - No WINDOWS daily builds available for QA". Without daily builds we can not verify fixes.
Comment 122 Terry 2012-09-19 06:06:52 UTC
Windows 7 home premium 32bit on AMD &3Gb RAM

Just installed LO 3.6.1.2 and ALWAYS get a crash just pointing at a .ODF file on my desktop.
Cannot delete as crash is too quick!
Had 3.5 before with no problems.
Not good for LO!

update. Deleted 3.6 & re-installed 3.5, problem gone. So no 3.6 for me or my company then?

Regards

Terry
Comment 123 Julien Nabet 2012-09-19 06:42:58 UTC
Terry: This bugtracker is a metabug (it's a kind of wrap for other bugs).
Could you file a brand new bug here: https://www.libreoffice.org/get-help/bug/
?
(help here: http://wiki.documentfoundation.org/BugReport)
Comment 124 Dave Barton 2012-09-19 09:02:19 UTC
(In reply to comment #122)
> Windows 7 home premium 32bit on AMD &3Gb RAM
> 
> Just installed LO 3.6.1.2 and ALWAYS get a crash just pointing at a .ODF file
> on my desktop.
> Cannot delete as crash is too quick!
> Had 3.5 before with no problems.
> Not good for LO!
> 
> update. Deleted 3.6 & re-installed 3.5, problem gone. So no 3.6 for me or my
> company then?
> 
> Regards
> 
> Terry

I had major problems with this issue, but it is fixed in 3.6.2 RC1

Dave
Comment 125 vitriol 2012-09-19 10:57:20 UTC
Nominating Calc Bug 55059. Regression.
Comment 126 Michail Pappas 2012-09-27 07:28:26 UTC
Nominating bug# 54862: Broken formatting for .DOC files after some on some libreoffice version > 3.5.2 (found on 3.6.1.2)

Affects installations where documents are stored in Word format.
Comment 127 Rainer Bielefeld Retired 2012-09-27 08:40:35 UTC
Add "Bug 55379 - FILEOPEN CRASH for particular .ods", at least for me with 3.6.2 loss of access to hundreds of documents.
Comment 128 Pierre C 2012-10-06 06:21:02 UTC
Is there a chance to consider :

"Bug 47662 - EDITING: Inconsistent / unintuitive reference link handling for check boxes and other form fields when Copying Sheets" for 3.6 ?

and "Bug 51756 - scrollbars display differently when editing vs "print preview" vs when actually printed" as there is no workaround to have a correct print of srollbar.

thanks
Comment 129 Rainer Bielefeld Retired 2012-10-06 06:51:16 UTC
Add "Bug 55633 - CRASH when FILEOPEN particular .ODS"
Comment 130 pierre-yves samyn 2012-10-06 12:40:09 UTC
Add "bug 54552  EDITING: Cell used in a formula is considered non-empty"

This bug could seem minor in the interface (user's keystroke <Ctrl><End>
and the cursor can go "further" than the last input cell) but IMHO it is
very inconvenient for applications : many (most) of them use
the gotoEndOfUsedArea method whose result is not the same !
Comment 131 Horst 2012-10-06 21:42:28 UTC
Add bug 55369 Entering fractions results in dates. This feature works fine in 3.5.x but got broken in transition to 3.6.x
Comment 132 Rainer Bielefeld Retired 2012-10-07 05:56:13 UTC
I add possible DUPS of Bug 55379:
"Bug 55710 - CRASH FILEOPEN particular .ods with Conditional Formatting"
"Bug 55711 - CRASH FILEOPEN particular .ods with Conditional Formatting"
Comment 133 Horst 2012-10-07 19:34:44 UTC
Adding minor bug 54514 Old icons in Print Preview. Not critical but not beautiful
Comment 134 Horst 2012-10-07 19:40:01 UTC
Add minor bug 55367 wrong convertion factor for "tspm" in function CONVERT_ADD.
Comment 135 Joel Madero 2012-10-08 04:41:55 UTC
nominating fdo#49277
https://bugs.freedesktop.org/show_bug.cgi?id=49277

Could potentially cause a huge headache for a user trying to make a professional quality presentation. Error only shows when you close a document and reopen it -- making chance of accidentally showing poor quality work quite high.
Comment 136 Michael Meeks 2012-10-08 10:46:27 UTC
Looking here, I see a load of not-really-most-annoying bugs diluting the impact of this issue - in particular the dependencies of:

> bug 48741 – container issue for Page styles/formatting header and footer
> These bugs cause wrong import of documents with simplest formatting and
> seems to be easy to fix.

cf. https://bugs.freedesktop.org/showdependencytree.cgi?id=44446&hide_resolved=1

Are often unsuitable; eg. bug#44941, bug#33304, bug#47838 etc. On the other hand some of those tracked issues are MABs. To encourage people to re-nominate the MABs out of that list, I'll drop bug#48741 and ask people to re-add a few suitably critical / blocker / really-most-annoying issues back. Hope that's ok.

Really missing Petr's editorial role here :-)
Comment 137 Timon 2012-10-08 12:26:54 UTC
Nominating Bug 50774 with autonumeration (problems in TOC) https://bugs.freedesktop.org/show_bug.cgi?id=50774
Comment 138 Roman Eisele 2012-10-09 08:53:01 UTC
(In reply to comment #137)
> Nominating Bug 50774 with autonumeration (problems in TOC)
> https://bugs.freedesktop.org/show_bug.cgi?id=50774

Agree: really annoying, a killer for academic etc. usage. However, this bug was already in LibO 3.5, so I add it to the “3.5 most annoying bugs” instead (bug 37361). Cf. http://wiki.documentfoundation.org/Most_Annoying_Bugs
Comment 139 Alex Thurgood 2012-10-10 10:47:12 UTC
Nominating 53924, which is a regression over 3.5.6 in printed output on Mac OSX, also present in master.


Alex
Comment 140 Julien Nabet 2012-10-13 14:37:07 UTC
Nominating fdo#54898 as MAB since:
- it's a regression from 3.5
- it has been reproduced at least twice (fdo#54898 + its dup 55625)
- it's stealth (no error message or something) and we can't trust results of Data Pilot for the moment
Comment 141 Rainer Bielefeld Retired 2012-10-13 15:00:53 UTC
Really added Bug 54898

for the records, latest "nominations" were
"Bug 54898 - : sum error with hours in Pivot Table (AKA Data Pilot)"
"Bug 53924 - FORMATTING: PRINTING changes text (space get's removed) on OS X 10.7/10.8"

@all:
may I ask you to follow Romans hints (he created for the 3.7 MAB tracking bugs) on 
<http://wiki.documentfoundation.org/Most_Annoying_Bugs>,
what would help to use these tracking Bugs more effective?

That especially means:
Please always Copy / Paste the complete summary of the "nominated" bug to your comment in the MAB tracking bug. So aAll in CC, especially Developers and QA staff on lists, see immediately concerning what that problem that bug is. Some "fdo#xyz" is not useful because in the Bugzilla Daemon mails nobody can see Concerning what problem the new bug is, he has to visit the bug, and that's some work, because neither in mail nor in comment a link will be created.

Thank you!
Comment 142 Rainer Bielefeld Retired 2012-10-15 05:50:18 UTC
I add "Bug 53482 - UI: Option 'Range contains column headings' ignored" makes sort useless for many users.
Comment 143 Rainer Bielefeld Retired 2012-10-15 08:32:16 UTC
I add "Bug 54748 - EDITING: CONDITIONAL FORMATTING not included in copy-paste cell". Very basic function what does not work
Comment 144 Frank Schönheit 2012-10-15 19:44:19 UTC
nominating bug 48056.
Reasoning, as per http://wiki.documentfoundation.org/Release_Criteria:
- The bug renders a function completely unusable, namely reports with charts.
- bug is certainly reproducible by a lot of users, seeing the confirmations
  in the bug itself, and the duplicates
- The bug is a regression to the 3.4.x series
- There is no workaroundd at all: If you want to use your reports, you need
  to revert to an older version of LO.
Comment 145 Alex Thurgood 2012-10-15 21:16:11 UTC
(In reply to comment #144)
> nominating bug 48056.
> - The bug is a regression to the 3.4.x series
> - There is no workaroundd at all: If you want to use your reports, you need
>   to revert to an older version of LO.

Can I put a big like on this ? Hi Frank, good to see you around :-))

Alex
Comment 146 V Stuart Foote 2012-10-17 00:25:38 UTC
Nominate fdo#53474 [Accessibility] Java Accessibility Bridge not mapping UNO Accessibility roles -- no functional Java based Assistive Technology for Windows builds.
Comment 147 Rainer Bielefeld Retired 2012-10-17 07:01:20 UTC
Add "Bug 56068 - EDITING: Paste Special for copy of cell with formula unavailable, only plain text pasted", what makes creation of new spreadsheets very annoying. Currently unfortuntately difficult to reproduce!
Comment 148 Rainer Bielefeld Retired 2012-10-17 07:14:32 UTC
Add "Bug 56070 - EDITING: Copy / Paste only pastes plain text contents", what makes WRITER more or less unusable (unfortunately currently difficult to reproduce)
Comment 149 Rainer Bielefeld Retired 2012-10-19 07:06:40 UTC
Shift from 3.5 MAB to here because 3.5 lifecycle has ended: "Bug 51023 - EDITING: Drag-and-drop slide always moves slide to first position, leading to data corruption and sometimes CRASH"; dataloss risk for Linux and Mac users
Comment 150 V.K. 2012-10-19 21:48:39 UTC
Add Bug 47838 - Writer causes extra page-crossing (text flow to next page) in some MS Office documents - related with header/footer and page formatting.
It is very annoying bug: Writer adds footers or headers on pages that do not have it => length of the document changes.
Comment 151 Rainer Bielefeld Retired 2012-10-23 09:14:24 UTC
I add "Bug 56316 - EDITING: CONDITIONAL FORMATTING not included in copy-paste cell", Dataloss with a very basic editing function,
Comment 152 Petr Mladek 2012-10-23 10:36:52 UTC
Add the bug #53070: freeze /hang when FILEOPEN MS Access 2007 or Access '.mdb'

It seems that we somehow screwed up the support for MS Access database. The bug is getting more and more duplicates. It seems to be regression against LO-3.5, see https://bugs.freedesktop.org/show_bug.cgi?id=54454
Comment 153 Petr Mladek 2012-10-23 15:45:21 UTC
Add bug #52640: FORMATTING : tabstops malfunction in Draw and Impress

It's a regression from 3.5.x and breaks documents. Has several duplicates. Some users can't use LO-3.6 because of this.
Comment 154 Vossman 2012-10-24 15:39:17 UTC
I would like to nominate Bug #42134 "FORMATTING: Autofit doesn't work properly on long texts" as a most annoying bug, it has been around since version 3.3 and I would not think it is too hard to fix?
Comment 155 Nicolas R 2012-10-25 06:59:53 UTC
I would like to add Bug 56325 . It's a regression in 3.6.3 rc1 from 3.6.2.
Comment 156 Roman Eisele 2012-10-25 08:42:41 UTC
Added bug 55939 - “FILESAVE RTF export faulty file when text has footnotes”.

This is an important regression introduced in LibreOffice 3.5.6.1 (not present until 3.5.5.3), and also affecting all 3.6.x and Master builds. It makes it *impossible* to save any Writer file containing any footnotes in RTF format, because the RTF file will be corrupted (non-matching braces).

I add the bug to this (3.6 MAB) list, and not to the 3.5 MAB list (bug 37361), because AFAIK the 3.5 MAB list is more or less closed now. (No more 3.5.x releases are planned officially, even if it is possible that there will be a 3.5.8 release. IMHO this bug, being a regression *during* the 3.5.x release cycle,
would be one more good reason to actually release a 3.5.8 version, just to fix such late regressions. ;-))
Comment 157 Horst 2012-10-25 20:53:32 UTC
Add bug 56205 "FORMATTING fractions displayed misleading and calculated wrong" 
Fractions are mis formatted and therfore misleading.
Comment 158 Horst 2012-10-25 20:57:40 UTC
Add bug 56209  "FILEOPEN: opening a .ods file saved in Excel damages all formula".
Excel files saved as .ods are broken in CALC all formulas show "msoxl=[formula]".
Worked in 3.5.x.
Comment 159 Petr Mladek 2012-10-29 10:58:18 UTC
(In reply to comment #154)
> I would like to nominate Bug #42134 "FORMATTING: Autofit doesn't work
> properly on long texts" as a most annoying bug, it has been around since
> version 3.3 and I would not think it is too hard to fix?

I agree that it is annoying but I do not thing that it belongs here. It is a very old bug and I do not see other duplicates. I think that it is because many other users do not use so long texts. Note that long texts are not ideal for presentations anyway.
Comment 160 Joel Madero 2012-10-30 17:14:36 UTC
Nomiting: Bug 42899 - Macro changes not saved on document Close/Save

Huge problem for people who frequently use macros and save document as xls. I have personally lost hours of work due to this one.
Comment 161 Jean-Baptiste Faure 2012-11-05 21:23:26 UTC
I nominate bug 46410 (EDITING: Alphabetical index with concordance file) : creating a lexical index with concordance file does not work anymore. There is several duplicates of this bug.Very annoying for scientific writing.
Comment 162 Jean-Baptiste Faure 2012-11-06 05:53:02 UTC
I nominate bug 39066 (Hyperlinks are missing after closing): in Draw, hyperlinks set on image are lost after reopening the file.
Comment 163 Cor Nouws 2012-11-09 05:40:22 UTC
adding bug 56278
EDITING: Calculate formula: DEl or BS to empty a cell with a formula, does not result in updating a formula referencing that cell

maybe should have done that earlier. sorry
Comment 164 john.pratt 2012-11-10 17:55:49 UTC
Added Bug 55032 - FORMATTING: Conditional formatting lost when sheets are copied

As this prevents copying any sheets with conditional formatting and prevents me from upgrading.
Comment 165 Petr Mladek 2012-11-13 10:01:35 UTC
Add 50430: Can't Open/Save in UOP format

The UOP file format import/export seems to be completely broken. We should either fix it or disable it at all.
Comment 166 chauk.mean 2012-11-19 14:02:53 UTC
Add 57203 :
LibO 3.6.3.2 is a great release but cannot be automated by Automation compatible script languages (VBScript, Ruby, ...) as the OLE bridge is broken.
Comment 167 Jean-Baptiste Faure 2012-11-20 09:43:49 UTC
I nominate bug 57311 : LO 3.6.4.1 is named LOdev instead of LibreOffice on Linux / Deb x86
Comment 168 Rainer Bielefeld Retired 2012-11-23 16:23:19 UTC
I add "Bug 55618 - LOCALHELP: obsolete for CALC Conditional Formatting": new CF features cause a lot of trouble on mailing lists and also Bugzilla, it's too difficult to understand how it works with obsolete Help.
Comment 169 Francisco 2012-11-27 03:37:48 UTC
Nominating bug 48039: Cross-references disrupted in Master Document. It destroys cross references in subdocuments.
Comment 170 Roman Eisele 2012-11-27 07:11:52 UTC
(In reply to comment #169)
> Nominating bug 48039: Cross-references disrupted in Master Document. It
> destroys cross references in subdocuments.

A good nomination, however -- this is already a “Most Annoying Bug”: it is included in the “LibreOffice 3.5 Most Annoying Bugs” list (bug 37361). We include a bug only in the oldest applicable (and open) most annoying bugs list, plese see http://wiki.documentfoundation.org/Most_Annoying_Bugs for details ...
Comment 171 Francisco 2012-11-27 11:41:53 UTC
(In reply to comment #170)
> (In reply to comment #169)
> > Nominating bug 48039: Cross-references disrupted in Master Document. It
> > destroys cross references in subdocuments.
> 
> A good nomination, however -- this is already a “Most Annoying Bug”: it is
> included in the “LibreOffice 3.5 Most Annoying Bugs” list (bug 37361). We
> include a bug only in the oldest applicable (and open) most annoying bugs
> list, plese see http://wiki.documentfoundation.org/Most_Annoying_Bugs for
> details ...

Oops, I'm sorry, I checked first also 3.5 bugtracker, but I did it wrong :-/ and I didnt see that 48039 was blocking 37361.
Comment 172 Roman Eisele 2012-11-29 06:40:27 UTC
For the record: Norbert Scheibner has added
* Bug 56742 - “conditional formatings got lost in copyed spreadsheet
  after fileclose”
* Bug 40788 - “FORMATTING - Calc ignores manual breaks when ‘fit to number
  of pages’ is chosen”
I have removed bug 40788 here again, because it is already included in the “LibreOffice 3.5 most annyoing bugs” list. Of course, we will close the 3.5 MAB soon, but nevertheless a bug should never be included in more than one MAB list, see http://wiki.documentfoundation.org/Most_Annoying_Bugs ...

@ Norber Scheibner:
Thank you for nominations, but please *always* add a comment citing the bug summaries when you add bugs to a MAB list.
Comment 173 Roman Eisele 2012-11-29 19:32:37 UTC
For the record: Steve Kelem has added
Bug 50057 - “EDITING: Replication of frames when record changes (redlining) is on”

Definitely a good nomination. (Should be in the 3.5 MAB bugs list, of course,
but at least it is not duplicated = in both MAB lists, as the previous entries where, so let it stay here, because we will finally close the 3.5 list ...)
Comment 174 Steve Kelem 2012-11-29 21:10:49 UTC
57698 is a REALLY ANNOYING bug that makes it infuriating to edit two documents at the same time.
Comment 175 Steve Kelem 2012-11-29 21:56:38 UTC
Added 40465, to fix zoom so that it stays on the same page when multiple pages are shown at the same time. Currently, zoom out to two pages jumps to something like the current page number divided by 2 instead of showing the current page and the preceding or following page. Zoom into page #/2 is not where the user wants to go.
Comment 176 Steve Kelem 2012-11-29 22:07:19 UTC
Added 56939, where LibreOffice doesn't remember the last folder opened, making it really hard to edit all the files in a folder one by one.
Comment 177 Steve Kelem 2012-11-29 22:19:10 UTC
Added 35669, which has been around for 8 years, and incorrectly marked fixed. Cross references in chaptered documents don't work.
Comment 178 Steve Kelem 2012-11-30 00:37:37 UTC
57710 is one that's had me frustrated for years! I have to write PDFs for chapters in a document I'm working on many times a week. The option mentioned, when turned off because, reading the text of the option, it might make sense to do so, results in the wrong pages being output with no idea of why it's happening.
Comment 179 Michael Meeks 2012-11-30 09:43:46 UTC
Hi Steve; please hold off adding more bugs (added six in one day) until we can get some independent assessment of the ones you have already added - being annoying to you is bad of course; but I'd like some independent review of these. Bloating this bug's dependencies does no-one any favours and can obscure the most severe issues (which yours may be - I don't know - they need review). Thanks for your work in bugzilla !
Comment 180 Steve Kelem 2012-11-30 18:07:21 UTC
Sorry to overwhelm you. I happened across the MAB for the first time and thought "What a great way to get some old issues resolved and some long-standing ones that I need to generate a test case for, else no one would believe me!" So, I spent time to create test cases for the bugs that are annoying because they're keeping me from being productive.

By the way, I saw some of the entries here removing bugs from 3.6.x MAB because they are in the 3.5.x MAB.  If 3.5.x is "old" and an annoying bug for 3.5 is still a problem in 3.6, what's the procedure for making sure the outstanding bugs, especially the MABs, are still addressed?
Comment 181 Joel Madero 2012-11-30 19:41:04 UTC
3.5 MAB are still being addressed, the procedure is that these bugs are highlighted for the developers but with the vast amount of bugs, enhancements, etc... being done all the time, some MAB get "brought over" to the new version (for instance some 3.5 bugs may come over to 3.6 bugs but that isn't happening yet). Furthermore, it is at the discretion of the developers which MAB comes first -- how old a bug is isn't the main criteria in most cases, it's really how annoying the bug is for the most amount of people coupled with what developer(s) know that part of the code enough to tackle the issue.

The other issue is that some MAB are not in fact MAB and were put there without independent review (this is a requirement for MAB's amongst other requirements). These bugs may be taken off the MAB list at some point but our developers are working hard on fixing bugs that have already been independently verified to be a MAB for many users. Most of the times this means a major feature of LibO isn't working properly, and can often include crashes, memory leaks, etc....

If you want to get more involved with how policies are made and help us continue to make LibO better,  please join us over at QA, we always welcome a fresh opinion.
Comment 182 robert 2012-12-03 11:13:41 UTC
Added
https://bugs.freedesktop.org/show_bug.cgi?id=55842
no focus on frame outside of page margins for editing

Choosing of frames in letters, for example address in a frame outside the content of the letter, is impossible with the mouse since LO 3.6.2.2
Comment 183 Rainer Bielefeld Retired 2012-12-04 06:37:03 UTC
I add "Bug 57176 - EDITING: CONDITIONAL FORMATTING not restored by UNDO" because of dataloss
Comment 184 vitriol 2012-12-14 06:46:11 UTC
Nominating Bug 58278 - FORMATTING: Crash applying AutoCorrect. Crash and Retrogression in common functionality.
Comment 185 kitaets 2012-12-14 08:15:26 UTC
Nominate Bug 48409 - Impossible to use Writer OLE object due to unstable placement (Impress, Calc, Draw)
This _regression_ bug began from 3.4.* and it completely blocks the possibility of editing Writer OLE objects and inserting new one. Completely means I have to use LO 3.3.4 to edit them.
Comment 186 michel 2012-12-20 14:19:39 UTC
Hello,
LibreOffice 3.5.7 has been released and announced as the possible last revision of 3.5.x branch.
Since there will be no more correction of bugs in 3.5.x branch, it is time to move LibreOffice 3.5 most annoying bugs and to add them to this list, at least those which have been tested and reported to be still present with 3.6.x releases.
I would specially nominate bug 52433, "Writer memory leak crash", which has been present since 3.5.0 to 3.6.4 and prevents the use of LibreOffice as soon as you add images to a writer file.
Comment 187 Roman Eisele 2012-12-21 13:35:10 UTC
(In reply to comment #186)
> Since there will be no more correction of bugs in 3.5.x branch, it is time
> to move LibreOffice 3.5 most annoying bugs and to add them to this list, at
> least those which have been tested and reported to be still present with
> 3.6.x releases.

Thank you for your hint! But AFAIK this movement of all remaining important bugs from the 3.5 MAB list to the 3.6 MAB list is already on its way; especially Rainer Bielefeld has already judged and moved many bugs, and others (including myself) have done similar things. It will just take some time to complete this task, because (a) it should be done carefully, (b) probably by experienced bug wranglers, and (c) most of our QA volunteers are occupied with testing the upcoming version 4.0.0; which is a much more urgent task right now ...
Comment 188 iveand 2012-12-25 02:03:58 UTC
Added 54275: this bug prevents Ubuntu Linux users (not confirmed for other distros) to be able to save documents to mounted gvfs samba shares (when navigating via nautilus sidebar menu).

Seems very critical for a network situation.  3.5.x does not have this issue.  Workaround to manually navigate to mountpoint will not be known to many users.
Comment 189 iveand 2012-12-26 15:01:38 UTC
(In reply to comment #188)
> Added 54275: this bug prevents Ubuntu Linux users (not confirmed for other
> distros) to be able to save documents to mounted gvfs samba shares (when
> navigating via nautilus sidebar menu).
> 

Confirmed bug 54275 still present in Linux 64 bit Version 4.0.0.0.beta2 (Build ID: 4104d660979c57e1160b5135634f732918460a0).

Again, problem is that a user is unable to save a NEW document to a samba share in Linux (am able to open and modify and save existing documents).
Comment 190 Alexander 2012-12-26 15:13:43 UTC
Please, look at the bug 47838, https://bugs.freedesktop.org/show_bug.cgi?id=47838
It's one of the oldest bugs (from early releases of the OO.org). Can anybody fix it? It is really annoying - all new releases of the LO with it stops many people from using LobreOffice and Writer in particular.
Comment 191 Jorendc 2013-01-02 14:08:16 UTC
I add "Bug 54264 - FILEOPEN: LO cannot open more than one file at a time from Mac Finder" because of the regression with 3.5 branch. It's quite annoying when you need to open all files one by one, when you try to open multiple documents at once.
Comment 192 Pierre C 2013-01-05 10:43:41 UTC
May I suggest to add bug 58893 ?
https://bugs.freedesktop.org/show_bug.cgi?id=58893

[crash] filopen master document with linked template modified

because libo crash and it is a regression from libo 3.5.7
Comment 193 Pierre C 2013-01-08 17:25:06 UTC
as "silent give consent", I've raised this bug

https://bugs.freedesktop.org/show_bug.cgi?id=58893

[crash] filopen master document with linked template modified

it's a regression against 3.5.7

libreoffice Crash

the only workaround is to let libreoffice crash and restart libo (one time on loop)
Comment 194 Michael Meeks 2013-01-10 11:22:19 UTC
Added - missing jump-list in Windows 7 - apparently a rather annoying regression.
Comment 195 Mihkel Tõnnov 2013-01-13 14:44:56 UTC
Nominating bug 58283 (LibO descriptions untranslated in application menu), as it means that many Linux users get LibO app descriptions (plus Unity's "New Document/Spreadsheet/...") in their menu in English, even if they use localized desktop.
Comment 196 chtfn 2013-01-15 04:33:50 UTC
Add "Bug 37960 - Shift click to select multiple drawings does not work if picture there" because:
- Not in mab3.5
- Has been around since 3.4.0 release
- Importance: "high - major"
- Very basic editing action is broken
Comment 197 John Kuang 2013-01-16 19:35:20 UTC
Nominating Bug 52159 https://bugs.freedesktop.org/show_bug.cgi?id=52159

Error bars of charts, when copied from Calc and pasted into Writer, loses the correct values for error bars, and become the same as Y-values.

This bug appeared only in 3.6. Was not present in 3.5.
Comment 198 Linus Drumbler 2013-01-16 23:13:07 UTC
Nominate bug 33281, vertical text not exported properly in PDF. Filed in 2011.
Comment 199 Linus Drumbler 2013-01-21 20:28:06 UTC
Also nominate bug 55946, LO cannot properly read .docx cover pages. A good number of Word documents out there use cover pages, and LibreOffice needs to be able to display Word documents correctly to be at its best.
Comment 200 Petr Mladek 2013-01-23 15:13:11 UTC
(In reply to comment #199)
> Also nominate bug 55946, LO cannot properly read .docx cover pages. A good
> number of Word documents out there use cover pages, and LibreOffice needs to
> be able to display Word documents correctly to be at its best.

It is one of more features that are missing in the import/export filters. Only one person is currently interested into this bug. SO, I would prefer to leave it out of MABs. Instread, I added Writer developers into CC, so they are aware of it.
Comment 201 Linus Drumbler 2013-01-25 18:30:38 UTC
I apologize. Is there a way to withdraw it, then?
Comment 202 Jorendc 2013-02-12 18:53:29 UTC
I nominate "Bug 60549 - Pictures not saved to .pptx" to this list because it's critical to save/don't lose a picture in a presentation.
Comment 203 Winfried Donkers 2013-02-18 06:56:23 UTC
This bug causes data loss (notices of entire tabsheets get lost) and is extremely annoying as the damage is only noted when reopening the calc document.
Comment 204 Joel Madero 2013-02-21 18:49:16 UTC
Added Bug 61186 as our printer settings (file - printer settings) are essentially a useless set of options until this is fixed
Comment 205 Rainer Bielefeld Retired 2013-02-23 11:26:13 UTC
I add "Bug 61339 - FILEOPEN LibO 3572 .ods: CONDITIONAL FORMATTING type 'if cell value' without style type, UI Localization related", serious Version Interoperability issue
Comment 206 Jacqueline Rahemipour 2013-02-27 14:15:16 UTC
Nominating bug 55814: condition for hidden section gets lost

This is an often used functionality in templates, which should be available in the actual LibO version for productive use. Therefore I ask for fixing this in LibO 3.6.x.
Comment 207 Jorendc 2013-03-03 22:13:54 UTC
I nominate "Bug 55715 - FILESAVE: Writer creates corrupt docx when a chart is copied from calc" because this is a common used function and results in data loss.
Comment 208 crazyskeggy 2013-03-06 17:12:46 UTC
Bug 61903 - FORMATTING: entering 3/4/13 into a date formatted cell is changed to fraction 3/4 and /13

This bug prevents typing in a date as 3/4/13 changes to ¾/13 (three-quarters sign then /13 - happens as soon as the second forward slash is entered).
Comment 209 V Stuart Foote 2013-03-06 18:06:49 UTC
(In reply to comment #208)
> Bug 61903 - FORMATTING: entering 3/4/13 into a date formatted cell is
> changed to fraction 3/4 and /13
> 
> This bug prevents typing in a date as 3/4/13 changes to ¾/13 (three-quarters
> sign then /13 - happens as soon as the second forward slash is entered).

RESOLVED NOTABUG. Autocorrect feature defaults have 1/4, 1/2 and 3/4 replacements with corresponding fraction character from fontset. Autocorrect is immediately reverted with <Ctl>-Z

Alternative entry using correct date format of 03/04/13 avoids autocorrect. Or, autocorrect replacement can be eliminated by deletion of 1/4, 1/2, 3/4 entries in the Replace tab. 

Possible UX enhancement to change Autocorrect function for date formatted fields, but not a MAB.
Comment 210 Timur 2013-03-15 18:36:38 UTC
Adding Bug 38619 - Picture of type wmf is not printed correctly because it's really old, from 3.4.1, and, while not maybe common case because limited to printing WMF from Windows, still annoying.
Comment 211 Petr Kraus 2013-03-27 13:13:15 UTC
I nominate "Bug 46553" Update embedded manifest on win32 builds to declare dpiAware
and
"Bug 46817" Screen font anti-aliasing does not work (Windows)
They are causing inferior rendering quality of GUI and user content on Windows.
Comment 212 Andreas Zollmann 2013-04-04 13:08:45 UTC
[Bug 44621] With MacOSX 10.7 and later, dragging an image from the desktop to LO Writer is not possible

This is a bug so prominent that probably every single LO on Mac OS >= 10.7 user has come across and been annoyed by it. And remember that Mac folks tend to be less technical, so the fraction of Mac users creating a bugzilla account when bothered by a bug is going to be smaller than the corresponding fraction of Windows and Linux users.
Comment 213 retired 2013-04-04 21:08:43 UTC
As discussed on IRC with jmadero adding #49853 to MAB. It affects many people, have several duplicates and 27 subscribers.
Comment 214 Panos Stokas 2013-04-11 06:54:30 UTC
Bug 44617 causes irreversible problems (undo doesn't work) when resizing a group of shapes that use the "resize shape to fit text" option. While Drawing is not the most used function in LibreOffice, a bug causing irreversible damage to a document should be corrected in a stable version.
Comment 215 Joel Madero 2013-04-15 02:36:45 UTC
Added 62073 - copy/paste of a line in impress results in a change in size for bullets, ctrl + z doesn't undo the changed bullet size -- common feature, prevents high quality work
Comment 216 Mihkel Tõnnov 2013-04-15 08:54:46 UTC
Adding back bug 62073 which was accidentally removed right after nomination.
Comment 217 Thomas Thym 2013-04-18 17:36:52 UTC
I would like to nominate bug 40489 "PRINTING: Option Buttons and Check Boxes not printed correctly" because documents with check boxes are common in a business context and it is important that the user can TRUST LibreOffice to print documents as displayed (and not printing only half of the check boxes). 
The bug exists since 2011 and (compared to OpenOffice) it is a regression.
Comment 218 Joel Madero 2013-04-27 17:53:55 UTC
scaling of images no longer working in 3.6 - appears to have been introduced either in 3.5.7 or 3.6.0. 

Makes pdf export with scaled images useless
Comment 219 Mihkel Tõnnov 2013-04-27 20:21:22 UTC
Adding back bug 55345 which was accidentally removed right after nomination.
Comment 220 Joel Madero 2013-05-02 21:18:30 UTC
Added Bug 63647

Really simple test case provided - export as a pdf and the document is useless (calc table is zoomed way into the corner, probably 1000% plus).
Comment 221 Urmas 2013-05-09 15:33:51 UTC
Bug 49840 - XLSX FILEOPEN Text in cells is lost

Renders spreadsheet documents completely useless.
Comment 222 Markus Mohrhard 2013-05-09 18:38:41 UTC
(In reply to comment #221)
> Bug 49840 - XLSX FILEOPEN Text in cells is lost
> 
> Renders spreadsheet documents completely useless.

The document is invalid according to the OOXML spec.
Comment 223 Timur 2013-05-16 08:44:09 UTC
There are many bug reports for images in .docx. I move here Bug 52226 from MAB 4.0. I'd like also to add Bug 43641 - Image in .docx file not shown reported in 2011. Some may be duplicate, but hopefully this will at least be resolved.
Comment 224 Joel Madero 2013-05-20 17:25:37 UTC
Nominated 64753 - document/sheet protection is completely lost with .xlsx format which seems to be quite bad. Works fine for xls and of course ods formats
Comment 225 Timur 2013-05-27 09:38:09 UTC
I move here Bug 46060 -  Writer corrupts DOCX file containing TOC, recovery not possible with Office 2010 - from MAB 4.0.
Comment 226 Vossman 2013-05-29 20:39:44 UTC
I would like to nominate Bug #34957 - "table in Writer behaves strange when set option Keep with next paragraph" because it is a long standing bug and makes some of my documents look ugly!
Comment 227 Joel Madero 2013-05-29 21:20:35 UTC
external links to another sheet seem to be changing to a default folder with xls files. 

Nominated: 57738 - at least 3 bugs reported against this issue, sum, indirect and another function affected. Results in unusable sheets
Comment 228 Julien Nabet 2013-06-08 11:05:34 UTC
I nominate "Bug 49708 - EDITING FILESAVE Setting primary key was silently ignored" because :
- the possibility to add a primary key via UI is indeed broken
- there's no error message
- it's quite an old bug
If it's too much broken perhaps it would be better to remove this option completely.
Comment 229 Michael Meeks 2013-06-12 10:59:53 UTC
propose remove: bug#58819 it looks like a reasonably normal interop. problem - arguably data-loss, but export to OOXML has plenty of similar issues; pending Miklos' input.
Comment 230 Dan Dascalescu 2013-06-28 19:16:57 UTC
LibreCalc Bug 39936 - it has always been unnecessarily cumbersome to move rows around. Excel has a context menu option called "Insert cut cells", which I miss dearly in LibreCalc.

PS: is 3.6 still being developed? Should these bugs move to 4.x?
Comment 231 tommy27 2013-06-29 08:30:21 UTC
@Dan Dascalescu
it's not time yet to change the mab3.6 status to FIXED, so I'm REOPENING.

LibO 3.6.x is still under development, though is close to the end of life.

see here the release plan: https://wiki.documentfoundation.org/ReleasePlan/3.6#3.6.7_release

the last 3.6.7 release will come out in a few weeks, then after that, all the remaining 3.6.x MABs which are still reproducible on 4.0.x versions will be moved by the QA guys to the mab4.0 page
Comment 232 Kevin Suo 2013-07-01 07:14:59 UTC
I'm adding Bug 58577 because it caused my text frame lost when I save as OOXML (*.docx). It is a BLOCKER!
Comment 233 Kevin Suo 2013-07-01 08:03:39 UTC
For Bug 56960, patch is out for LibreOffice 4.1, but not in LibreOffice 3.6 list.
Comment 234 Steve Kelem 2013-07-02 22:16:12 UTC
Bug 51453: "Equation Frame size linked to caption frame size" should be added to the list. If you have a caption that's wider than your "formula", either the caption is wrapped (possibly over several lines) to match the width of the formula or the formula is scaled to match the width of the frame containing the formula and the caption. Both of those options look horrible and there is no good workaround!

http://forum.openoffice.org/en/forum/viewtopic.php?f=7&t=7949 shows an example of this bug.

This bug was filed in 2005!
Comment 235 Steve Kelem 2013-07-03 00:07:15 UTC
About my last post about 51453...it's an annoying bug, but it's listed against OpenOffice at the Apache site: https://issues.apache.org/ooo/show_bug.cgi?id=51453

It still applies to LibreOffice. What's the right way to get this fixed?
Comment 236 V Stuart Foote 2013-07-03 00:32:08 UTC
(In reply to comment #235)
> About my last post about 51453...it's an annoying bug, but it's listed
> against OpenOffice at the Apache site:
> https://issues.apache.org/ooo/show_bug.cgi?id=51453

Happens to all of us who follow both projects ;-)
> 
> It still applies to LibreOffice. What's the right way to get this fixed?

Just did a search, it has not been raised as an issue on the LibreOffice side.

So for starters, need a substantive write-up of the issue. The AOO issue #i51453# is a start, but you'll note it has had no substantive attention since 2005. As to being/becomming a Most Annoying Bug--that will depend on your write up and justification on use of a caption with an inserted formula object. Actually seems more a UX issue to me.

Anyhow, please make you steps to reproduce the observed behavior simple but complete.
Comment 237 Petr Mladek 2013-07-03 07:39:33 UTC
(In reply to comment #235)
> About my last post about 51453...it's an annoying bug, but it's listed
> against OpenOffice at the Apache site:
> https://issues.apache.org/ooo/show_bug.cgi?id=51453
> 
> It still applies to LibreOffice. What's the right way to get this fixed?

First, thanks for bringing up this problem. Please, open bug against LibreOffice in the FreeDesktop bugzilla and mention there links to original bug report. A simple link would be enough but it might speed up the things if you provide a test document and simple steps how to reproduce it.

Otherwise, I would prefer to handle this problem as a normal but. I understand that it is annoying for certain people but there are many other bugs that affect more people and are even more annoying. I think that this one does not qualify for the top priority queue.
Comment 238 Lionel Elie Mamane 2013-07-19 01:24:04 UTC
outdated install instructions: website
Comment 239 tommy27 2013-07-31 10:59:54 UTC
LibO 3.6.7 is out and will be the last release of the 3.6.x branch.

all the unfixed mab3.6 are actually under review before being moved to the mab4.0 page.

so, please don't add new bugs to the current meta-bug.
Comment 240 tommy27 2013-09-07 07:05:53 UTC
All still open 3.6 MABs have been moved to the 4.0 MAB list since the 3.6 branch reached is end of life (EOL).

changing status to CLOSED FIXED.
Comment 241 Joel Madero 2013-09-09 20:56:37 UTC
INCREDIBLE WORK Tommy - really we can all learn from your commitment to this project. I hate to speak for everyone but from all of QA and I'm sure all of us contributors outside of QA, THANK YOU
Comment 242 tommy27 2015-10-18 02:39:41 UTC
Hi all,

The MAB docs on the wiki have been updated to reflect the new
Priority-based system for categorizing bugs:
https://wiki.documentfoundation.org/QA/Most_Annoying_Bugs

The old MAB tracker bugs (mab4.3, mab4.4, etc.) will remain in
Bugzilla for historical reference, but should be ignored for current
work. 

......................

FINAL mab3.6 STATS
......................

fixed bugs -> 157
open bugs  -> 0

......................